OGRE-Next: Ogre::ProcessResourceNameScriptCompilerEvent Class Reference

| OGRE-Next 3.0.0 Object-Oriented Graphics Rendering Engine

Loading...
Searching...
No Matches
Public Types | Public Member Functions | Public Attributes | Static Public Attributes | List of all members
Ogre::ProcessResourceNameScriptCompilerEvent Class Reference
Core » General

`#include <OgreScriptCompiler.h>`

Inheritance diagram for Ogre::ProcessResourceNameScriptCompilerEvent:
[legend]

## Public Types
enum | ResourceType { TEXTURE , MATERIAL , GPU_PROGRAM , UAV , UAV_BUFFER , COMPOSITOR }

## Public Member Functions
| ProcessResourceNameScriptCompilerEvent (ResourceType resourceType, const String &name)
Public Member Functions inherited from Ogre::ScriptCompilerEvent
| ScriptCompilerEvent (const String &type)
virtual | ~ScriptCompilerEvent ()

## Public Attributes
String | mName
ResourceType | mResourceType
Public Attributes inherited from Ogre::ScriptCompilerEvent
String | mType

## Static Public Attributes
static String | eventType

## Member Enumeration Documentation

## ◆ ResourceType

enum Ogre::ProcessResourceNameScriptCompilerEvent::ResourceType

Enumerator
TEXTURE |
MATERIAL |
GPU_PROGRAM |
UAV |
UAV_BUFFER |
COMPOSITOR |

## Constructor & Destructor Documentation

## ◆ ProcessResourceNameScriptCompilerEvent()

Ogre::ProcessResourceNameScriptCompilerEvent::ProcessResourceNameScriptCompilerEvent | ( | ResourceType | resourceType,
|  | const String & | name )
| inline

References Ogre::ScriptCompilerEvent::ScriptCompilerEvent(), eventType, mName, and mResourceType.

## Member Data Documentation

## ◆ eventType

String Ogre::ProcessResourceNameScriptCompilerEvent::eventType
| static

Referenced by ProcessResourceNameScriptCompilerEvent().

## ◆ mName

String Ogre::ProcessResourceNameScriptCompilerEvent::mName

Referenced by ProcessResourceNameScriptCompilerEvent().

## ◆ mResourceType

ResourceType Ogre::ProcessResourceNameScriptCompilerEvent::mResourceType

Referenced by ProcessResourceNameScriptCompilerEvent().

The documentation for this class was generated from the following file:

- OgreScriptCompiler.h